Bug 68527 - up2date seems to complete but prints lots of junk and shows "Dummy Finish Page"
Summary: up2date seems to complete but prints lots of junk and shows "Dummy Finish Page"
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: up2date   
(Show other bugs)
Version: limbo
Hardware: i386 Linux
high
high
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67217
TreeView+ depends on / blocked
 
Reported: 2002-07-10 22:43 UTC by Need Real Name
Modified: 2015-01-07 23:57 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-09 03:38:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-07-10 22:43:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.0rc2)
Gecko/20020512 Netscape/7.0b1

Description of problem:
02-07-10
15:10:18 [169] bubo6:/root# up2date
/usr/share/rhn/up2date_client/gui.py:233: DeprecationWarning: use
GdkColormap.alloc_color
  color = self.druid.get_colormap().alloc(52232, 0, 0)
this is a deprecated call, please remove all use of it
................................................................./usr/share/rhn/up2date_client/gui.py:855:
DeprecationWarning:
  totalProgress.update(0)
/usr/share/rhn/up2date_client/gui.py:908: DeprecationWarning:
  totalProgress.update(i)
/usr/share/rhn/up2date_client/gui.py:818: DeprecationWarning:
  self.progress.update(i)
/usr/share/rhn/up2date_client/gui.py:1007: DeprecationWarning:
  self.totalProgress.update(0)
/usr/share/rhn/up2date_client/gui.py:981: DeprecationWarning:
  self.progress.update(i)
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1014, in doInstallation
    kernelsToInstall = up2date.installPackages(self.selectedPkgList,
self.rpmCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 470, in installPackages
    rc = ts.run((1 << 10) , 0, rpmCallback, cfg.readEntry("storageDir"))
  File "/usr/share/rhn/up2date_client/gui.py", line 976, in rpmCallback
    i = (amount + 1.0) / total
ZeroDivisionError: float division


Finally, up2date displays Dummy Finish Page and says it should never get there.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. as per Message-ID: <00ab01c22819$43152d70$0301a8c0@bart>
From: "Mike Chambers" <mike@netlyncs.com>
To: <limbo-list@redhat.com>, edit /etc/sysconfig/rhn/rhn_register and remove the
s from https and then run up2date-config and change the URL's to http instead of
https
2. run up2date from command line.
3. results in errors shown in description.
4. without doing step 1, up2date has bombed every time with no updates at all.
	

Actual Results:  as described.  got 52 packages updated.

Expected Results:  no errors.

Additional info:

Comment 1 Aleksey Nogin 2002-07-31 14:36:10 UTC
In Limbo-II (up2date-2.9.30):

The "Dimmy Finish Page" problem is still there: the "All finished" page has a
"forward" button and pressing it shows the "Dummy Finish page" that is not
supposed to be reached.

The "ZeroDivisionError: float division" is a separate bug and I beleieve was fixed. 

totalProgress.update warnings are still there.

Comment 2 Adrian Likins 2002-08-09 03:38:44 UTC
dummy page is still there. not exactly sure why glade doesnt
want to cooperate... will investigate.

The rest should be fixed in 2.9.39 at least


Note You need to log in before you can comment on or make changes to this bug.